Sign inGet started

Organizations

POST
/organizations
Create a new organization for the current user.
Cuerpo de la solicitud
name
string
obligatorio
Organization's display name.
slug
string
obligatorio
Organization's human-readable identifier.
countryCode
string
obligatorio
The country in which the organization operates.
Cuerpo de la respuesta
id
string
obligatorio
The organization's ID
name
string
obligatorio
Organization's display name.
slug
string
obligatorio
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obligatorio
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obligatorio
How many members are active
owner
string
obligatorio
ID of the user that owns the organization
createdAt
string
obligatorio
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Mostrar atributos secundarios
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}
Get an organization by its ID.
Cuerpo de la respuesta
id
string
obligatorio
The organization's ID
name
string
obligatorio
Organization's display name.
slug
string
obligatorio
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obligatorio
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obligatorio
How many members are active
owner
string
obligatorio
ID of the user that owns the organization
createdAt
string
obligatorio
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Mostrar atributos secundarios
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}
Update an organization's properties.
Cuerpo de la solicitud
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
Cuerpo de la respuesta
id
string
obligatorio
The organization's ID
name
string
obligatorio
Organization's display name.
slug
string
obligatorio
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obligatorio
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obligatorio
How many members are active
owner
string
obligatorio
ID of the user that owns the organization
createdAt
string
obligatorio
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Mostrar atributos secundarios
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Ejemplo de código
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'